Summary:	ROSA Online Update Tool
Name:		rosa-online
Version:	3.1.3
Release:	5
License:	GPLv2+
Group:		System/Configuration/Other
Url:		http://www.rosalinux.com
Source0:	https://abf.io/soft/%{name}/archive/%{name}-%{version}.tar.gz
# See https://www.iconfinder.com/icons/28464/recycle_refresh_reload_sync_icon
Source1:	busy.png
# See https://www.iconfinder.com/icons/3839/alert_arrow_download_exclamation_orange_update_icon
Source2:	error.png
Patch0:		rosa-online-3.1.3-ru.patch
BuildRequires:	gettext
BuildRequires:	perl-MDK-Common-devel
Requires:	gurpmi
Requires:	libdrakx-net >= 0.29
# For adding restricted media:
Requires:	perl-Crypt-SSLeay
# for LWP::UserAgent:
Requires:	perl-libwww-perl
Requires:	rpmdrake >= 5.11.1
Requires:	urpmi
BuildArch:	noarch
%rename mdkonline

%description
The ROSA Online tool allows users to be kept informed about security
updates, hardware support/enhancements and other high value services.

The package include:
* Update daemon which allows you to install security updates automatically,
* A KDE/Gnome/IceWM compliant applet for security updates notification
  and installation.

%files -f %{name}.lang
%doc COPYING
%{_sbindir}/mdkapplet-config
%{_sbindir}/mdkapplet-*-helper
%{_sbindir}/mdkupdate
%{_bindir}/*
%dir %{_prefix}/lib/libDrakX/drakfirsttime
%{_prefix}/lib/libDrakX/drakfirsttime/*.pm
%{_sysconfdir}/xdg/autostart/rosa-*.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/mime/packages/*
%{_datadir}/mimelnk/application/
%{_datadir}/mdkonline/pixmaps/*.png
%ghost %config(noreplace) %{_sysconfdir}/cron.daily/mdkupdate
%config(noreplace) %{_sysconfdir}/sysconfig/mdkapplet
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*

%post
if [ -r /etc/cron.daily/mdkupdate ]; then
  perl -p -i -e 's!/usr/bin/mdkupdate!/usr/sbin/mdkupdate!' /etc/cron.daily/mdkupdate
fi

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

cp %{SOURCE1} pixmaps/busy.png
cp %{SOURCE2} pixmaps/error.png

%build
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%{version}-%{release}'"';!' mdkapplet

%install
make PREFIX=%{buildroot} MANDRIVA_VERSION=%{distepoch} install

#symbolic link to drakonline and older path
mkdir -p %{buildroot}%{_prefix}/X11R6/bin/

mkdir -p %{buildroot}%{_sysconfdir}/cron.daily/
touch %{buildroot}%{_sysconfdir}/cron.daily/mdkupdate

#install lang
%find_lang mdkonline %{name}.lang

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/rosa-online.desktop <<EOF
[Desktop Entry]
Name=ROSA Online Applet
Name[ru]=Апплет ROSA Online
Comment=Applet for ROSA Online
Comment[ru]=Апплет для ROSA Online
Exec=%{_bindir}/mdkapplet
Icon=mdkonline
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration-Networking;Settings;Network;
X-KDE-autostart-after=kdesktop
EOF

#add consolehelper path to mdkapplet-config and mdkapplet-upgrade-helper

# console user, ask for root password
for pak in mdkapplet-config mdkapplet-upgrade-helper; do
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=/usr/sbin/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d
		cat > %{buildroot}%{_sysconfdir}/pam.d/$pak  <<EOF
#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF
done

# console user, no ask for root password
for pak in mdkapplet-config; do
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=/usr/sbin/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d
		cat > %{buildroot}%{_sysconfdir}/pam.d/$pak  <<EOF
#%PAM-1.0
auth		include		config-util-user
account		include		config-util-user
session		include		config-util-user
EOF
done

#fix edit-urpm-sources.pl call - use drakrpm-edit-media instead for properly pam rule work
sed -e 's/edit-urpm-sources.pl/drakrpm-edit-media/' -i %{buildroot}%{_bindir}/mdkapplet


%changelog

* Wed Jul 01 2015 Andrey Ponomarenko <aponomarenko@rosalab.ru> 3.1.3-5
- (d3b224f) A bit larger icon.


